Subject: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Sebastian Wiesner <[email-masked]>
Date: Wed, 25 Jun 2014 11:52:24 +0200

Am 25.06.2014 um 09:47 schrieb Andreas Schwab <[email-masked]>:

> Sebastian Wiesner <[email-masked]> writes:
> 
>> Besides, “non-interactive” is a little vague.  It’s obvious that `--batch’ is non-interactive, but is `--script’ as well?  In other languages, e.g. Python or Perl, scripts regularly do interaction, including reading passwords.
> 
> Emacs is an editor, not a script language.

I’m sorry to see that you are stuck with this view, and I am disappointed that this prevents an important issue from being addressed.  

The community has gone beyond that, and uses Emacs Lisp for other purposes as well.

Anyhow, seeing that there is no interest in fixing this issue, I see no point in continuing this discussion.  How can I unsubscribe from bugs?